import { OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { PageEvent } from '../data-table/data-table.model';
import { HttpService } from '../core/http.service';
import { TimelineValue } from '../timeline-filter';
import * as i0 from "@angular/core";
export declare class LoginHistoryForUserComponent implements OnInit {
    private http;
    private fb;
    loginHistoryList: any[];
    pageEvent: PageEvent;
    filters: any;
    historyFilterForm: UntypedFormGroup;
    displayedColumns: any[];
    userId: any;
    constructor(http: HttpService, fb: UntypedFormBuilder);
    ngOnInit(): void;
    onTimelineChange(range: TimelineValue): void;
    initializeData(): void;
    filterChange(event: any): void;
    onScroll(): void;
    reload(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginHistoryForUserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginHistoryForUserComponent, "app-login-history-for-user", never, { "userId": { "alias": "userId"; "required": false; }; }, {}, never, never, false, never>;
}
